Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class NamedFrame

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Frame
                  com.google.gwt.user.client.ui.NamedFrame

All Implemented Interfaces:
  EventListener

    public class NamedFrame

extends Frame

A `Frame` that has a 'name' associated with it. This allows the frame to be the target of a `FormPanel`

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`NamedFrame(java.lang.String name)` Constructs a frame with the given name.

Method Summary
`java.lang.String` | `getName()` Gets the name associated with this frame.

Methods inherited from class com.google.gwt.user.client.ui.Frame
`getUrl, setUrl`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedFrame

    public NamedFrame(java.lang.String name)

  Constructs a frame with the given name.

  Parameters:
    `name` - the name of the frame, which must contain at least one non-whitespace character and must not contain reserved HTML markup characters such as '`<`', '`>`', or '`&`'
  Throws:
    `java.lang.IllegalArgumentException` - if the supplied name is not allowed

Method Detail

### getName

    public java.lang.String getName()

  Gets the name associated with this frame.

  Returns:
    the frame's name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD